[CmdletBinding()]
Param(
    [Parameter(Mandatory = $True)]
    [String] $OutDir)

if (-not (Test-Path -LiteralPath $OutDir)) {
    
    try {
        New-Item -Path $OutDir -ItemType Directory -ErrorAction Stop | Out-Null #-Force
    }
    catch {
        Write-Error -Message "Unable to create directory '$OutDir'. Error was: $_" -ErrorAction Stop
    }
    # Successfully created directory
}
else {
    # Directory already existed
}

$outputPath = join-path -path $OutDir -childpath 'AADS.txt'

$UserCredential = get-credential
$UserCredential.Password | ConvertFrom-SecureString | Out-File $outputPath